System requirements

Google Ads Editor is available for Windows 7 or later and Mac OS 10.13 or later.

Google Ads Editor v1.0 and later will not be compatible with 32-bit Windows OS. Windows users will need to be running a 64-bit version of Windows.

Was this helpful?
How can we improve it?

Need more help?

Sign in for additional support options to quickly solve your issue

Search
Clear search
Close search
Google apps
Main menu
Search Help Center
true
73067
false